Go Back   TechArena Community > Software > Operating Systems
Become a Member!
Forgot your username/password?
Tags Active Topics RSS Search Mark Forums Read

Sponsored Links



Broken scsi-target-utils 1.0.8-0.1 while updating CentOS 5.5 to 5.6

Operating Systems


Reply
 
Thread Tools Search this Thread
  #1  
Old 04-05-2011
Member
 
Join Date: Sep 2010
Posts: 35
Broken scsi-target-utils 1.0.8-0.1 while updating CentOS 5.5 to 5.6
  

Hello friends, I am here with some problems in upgrading server from CentOS 5.5 to 5.6. I am having some problem in connecting with SCSI client. When retrieve the Log, it is as follows:
Code:
Apr 30 10:17:05 hw20 kernel: scsi6 : iSCSI Initiator over TCP/IP
Apr 30 10:17:05 hw20 kernel:   Vendor: IET       Model: Controller        Rev: 0001
Apr 30 10:17:05 hw20 kernel:   Type:   RAID                               ANSI SCSI revision: 05
Apr 30 10:17:05 hw20 kernel: scsi 6:0:0:0: Attached scsi generic sg1 type 10
Apr 30 10:17:05 hw20 kernel:   Vendor: IET       Model: VIRTUAL-DISK      Rev: 0001
Apr 30 10:17:05 hw20 kernel:   Type:   Direct-Access                      ANSI SCSI revision: 05
Apr 30 10:17:05 hw20 kernel: sdb : very big device. try to use READ CAPACITY(16).
Apr 30 10:17:05 hw20 kernel: sdb : unsupported sector size 1029280288.
Apr 30 10:17:05 hw20 kernel: SCSI device sdb: 0 510-byte hdwr sectors (0 MB)
Apr 30 10:17:05 hw20 kernel: sdb: Write Protect is off
Apr 30 10:17:05 hw20 kernel: SCSI device sdb: drive cache: write back
Please check and let me know that what the error is? Thanks a lot in advance.

Reply With Quote
  #2  
Old 04-05-2011
mv mv is offline
Member
 
Join Date: May 2008
Posts: 681
Re: Broken scsi-target-utils 1.0.8-0.1 while updating CentOS 5.5 to 5.6

Hey I have gone through to your log, according to me there is some problem with broken scsi-target-utlis, I have done some changes and I got this and which is perfectly working, so make some changed which mention below:

Code:
Apr 30 11:20:39 hw20 kernel: scsi10 : iSCSI Initiator over TCP/IP
Apr 30 11:20:39 hw20 kernel:   Vendor: IET       Model: Controller        Rev: 0001
Apr 30 11:20:39 hw20 kernel:   Type:   RAID                               ANSI SCSI revision: 05
Apr 30 11:20:39 hw20 kernel: scsi 10:0:0:0: Attached scsi generic sg1 type 12
Apr 30 11:20:39 hw20 kernel:   Vendor: IET       Model: VIRTUAL-DISK      Rev: 0001
Apr 30 11:20:39 hw20 kernel:   Type:   Direct-Access                      ANSI SCSI revision: 05
Apr 30 11:20:39 hw20 kernel: sdb : very big device. try to use READ CAPACITY(16).
Apr 30 11:20:39 hw20 kernel: SCSI device sdb: 8589934592 512-byte hdwr sectors (4398047 MB)
Apr 30 11:20:39 hw20 kernel: sdb: Write Protect is off
Apr 30 11:20:39 hw20 kernel: SCSI device sdb: drive cache: write back
Apr 30 11:20:39 hw20 kernel: sdb : very big device. try to use READ CAPACITY(16).
Apr 30 11:20:39 hw20 kernel: SCSI device sdb: 8589934592 512-byte hdwr sectors (4398047 MB)
Apr 30 11:20:39 hw20 kernel: sdb: Write Protect is off
Apr 30 11:20:39 hw20 kernel: SCSI device sdb: drive cache: write back
Apr 30 11:20:39 hw20 kernel:  sdb: sdb1
Apr 30 11:20:39 hw20 kernel: sd 10:0:0:1: Attached scsi disk sdb
Apr 30 11:20:39 hw20 kernel: sd 10:0:0:1: Attached scsi generic sg2 t
ype 0


It will solve your problem. All the Best!
Reply With Quote
  #3  
Old 04-05-2011
Member
 
Join Date: Nov 2009
Posts: 787
Re: Broken scsi-target-utils 1.0.8-0.1 while updating CentOS 5.5 to 5.6

Hello everyone, the above post is right and according to me it will surely work for those who are having the same problem. if still it doesn?t work for you then as per my suggestion you must try with scsi-target-utils package to quickly fix the problem. Even it will work to fill a bug, if occurs. So guys try above step and then downgrade system after that again upgrade to fix this problem. Make sure that logs are same as above written. All the Best and fix your Problem, if you like my idea then do reply to this post.
Reply With Quote
  #4  
Old 04-05-2011
Member
 
Join Date: Apr 2009
Posts: 990
Re: Broken scsi-target-utils 1.0.8-0.1 while updating CentOS 5.5 to 5.6

Hey I am agreed with the above post, I was having the same problem, and I used downgrade method. It was not working for me after that I came to know that if you want to downgrade to older version then you will need libibverbs and librdmacm files. This bug can be specific for 64bit machine as I don?t have 32bit at my place. But I am sure that there will be minor difference for 32-bit. So before downgrade with older version, then download the above mentioned file for that, without this file OS will give error.
Reply With Quote
  #5  
Old 04-05-2011
Member
 
Join Date: Nov 2009
Posts: 1,416
Re: Broken scsi-target-utils 1.0.8-0.1 while updating CentOS 5.5 to 5.6

Hi guys, I have some additional information about this error. If you will try to downgrade it will give you error. When I tried my logger was look like below:

Code:
[root@c5-64-devel ~]# cat /etc/issue
CentOS release 5.6 (Final)
Kernel \r on an \m

[root@c5-64-devel ~]# uname -a
Linux c5-64-devel 2.6.18-238.5.1.el5 #1 SMP Fri Apr 1 18:41:58 EDT 2011 x86_64 x86_64 x86_64 GNU/Linux

[root@c5-64-devel ~]# rpm -q scsi-target-utils
scsi-target-utils-0.0-6.20091205snap.el5_5.3

[root@c5-64-devel ~]# tail -f /var/log/messages &
...
[root@c5-64-devel ~]# service tgtd start
Starting SCSI target daemon: Starting target framework daemon

[root@c5-64-devel ~]# Apr  30 13:05:14 c5-64-devel tgtd: iser transport register
Apr  30 13:05:14 c5-64-devel tgtd: librdmacm.so: cannot open shared object file: No such file or directory - iser transport not used
Apr  30 13:05:14 c5-64-devel tgtd: Target daemon logger with pid=2049 started!
Just try to make some changes in module init tools. Beware while doing this. All the Best!
Reply With Quote
  #6  
Old 06-05-2011
Member
 
Join Date: May 2008
Posts: 962
Re: Broken scsi-target-utils 1.0.8-0.1 while updating CentOS 5.5 to 5.6

Hello friends finally I have the solution for it. This is exact message which should be taken into consideration is /var/log/messages when you start tgtd which are as follows.


Code:
[root@host ~]# yum install scsi-target-utils
Loaded plugins: fastestmirror, kernel-module, kmod, priorities, security
Loading mirror speeds from cached hostfile
 * addons: mirror.nsc.liu.se
 * base: centosr4-msync-dvd.centos.org
 * elrepo: elrepo.reloumirrors.net
 * extras: mirror.nsc.liu.se
 * rpmforge: fr2.rpmfind.net
 * updates: centosn4.centos.org
addons                                                                                                                             |  951 B     00:00     
base                                                                                                                                  | 2.1 kB     00:00     
elrepo                                                                                                                                | 1.9 kB     00:00     
extras                                                                                                                                | 2.1 kB     00:00     
rpmforge                                                                                                                            | 1.1 kB     00:00     
updates                                                                                                                             | 1.9 kB     00:00     
Excluding Packages in global exclude list
Finished
Excluding Packages from Red Hat Enterprise 5 - RPMforge.net - dag
Finished
136 packages excluded due to repository priority protections
Setting up Install Process
Resolving Dependencies
Running transaction check
Package scsi-target-utils.x86_64 0:1.0.8-0.el5_6.1 set to be updated
Processing Dependency: perl(Config::General) for package: scsi-target-utils
Processing Dependency: libibverbs.so.1()(64bit) for package: scsi-target-utils
Processing Dependency: librdmacm.so.1()(64bit) for package: scsi-target-utils
Running transaction check
Package libibverbs.x86_64 0:1.1.3-2.el5 set to be updated
Processing Dependency: openib >= 1.0 for package: libibverbs
Package librdmacm.x86_64 0:1.0.10-1.el5 set to be updated
Package perl-Config-General.noarch 0:2.40-1.el5 set to be updated
Running transaction check
Package openib.noarch 0:1.4.1-5.el5 set to be updated
Finished Dependency Resolution
This will surely fix your problem and it will update CentOS. Thank you
Reply With Quote
Reply

  TechArena Community > Software > Operating Systems
Tags: , , , ,



Thread Tools Search this Thread
Search this Thread:

Advanced Search


Similar Threads for: "Broken scsi-target-utils 1.0.8-0.1 while updating CentOS 5.5 to 5.6"
Thread Thread Starter Forum Replies Last Post
SCSI HDD error: Unexpected SCSI command failed Mr.Ryszard Hardware Peripherals 4 13-02-2012 07:54 PM
CentOS 5.5 to CentOS 5.6 Updates: Error while updating kernel-PAE fanish-war Operating Systems 5 06-05-2011 10:30 AM
how to upgrade from CentOS 5.5 to centos 5.6 manhat Operating Systems 6 02-05-2011 04:20 PM
SSD vs SCSI, What would you say Nightingale7 Hardware Peripherals 4 23-09-2010 02:50 PM


All times are GMT +5.5. The time now is 02:19 AM.